--- title: "Installing the Low Latency Kernel in Ubuntu" slug: "installing-the-low-latency-kernel-in-ubuntu" updated: 2024-10-30T10:59:02Z published: 2024-10-30T10:59:02Z canonical: "docs.telosalliance.com/installing-the-low-latency-kernel-in-ubuntu" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.telosalliance.com/llms.txt > Use this file to discover all available pages before exploring further. # Installing the Low Latency Kernel in Ubuntu ## Scope This document provides a scripted installation of the low latency kernel on Ubuntu Linux. ## Prerequisites - Ubuntu Server 20.04 or 22.04 on metal or AWS - Internet access or Gateway to allow the script to download the low latency kernel from the Canonical repositories - **AWS ONLY Prerequisite** - If you are installing the low latency kernel on an AWS EC2 instance, run the command below prior to proceeding to the [Online Install](/v1/docs/installing-the-low-latency-kernel-in-ubuntu#online-install) or [Offline Install](/v1/docs/installing-the-low-latency-kernel-in-ubuntu#offline-install) portions of this document. The `40-force-partuuid.cfg` file must be removed from the EC2 host or it could get stuck in a boot loop. The command below prevents this from occurring. - ```plaintext sudo rm -f /etc/default/grub.d/40-force-partuuid.cfg ``` ## Online Install Copy/paste the command below into the Linux CLI to download and run the script: ```plaintext curl -sSf https://telos-public.s3.amazonaws.com/devops/install-low-latency-kernel.sh | bash ``` Reboot the host: ```plaintext sudo reboot now ``` The host will boot and persist into the most current Ubuntu low latency kernel. ## Offline Install > [!NOTE] > Please note that the Offline install still needs to download/install the low latency kernel via the apt package manager. The script assumes access to the Canonical repositories. Download the script locally and copy to the target system: ```plaintext https://telos-public.s3.amazonaws.com/devops/install-low-latency-kernel.sh ``` From the Linux CLI on the target system, run the command below to make the script executable: ```plaintext sudo chmod +x install-low-latency-kernel.sh ``` Run the script to install the low latency kernel: ```plaintext sudo sh ./install-low-latency-kernel.sh ``` Reboot the host: ```plaintext sudo reboot now ``` The host will boot and persist into the most current Ubuntu low latency kernel. ## Troubleshooting To verify which kernel your Ubuntu system is booted into, run the command below: ```plaintext uname -r ``` Example Output: ```plaintext ubuntu@APP-123456789:~$ uname -r 5.4.0-162-lowlatency ```